aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-12-17 15:23:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-12-17 15:23:43 +0000
commit38154767eff1a3689ee4164004388e9d5f43693a (patch)
tree10dd7b1f80cc75007f4ace4eb6707c2a5a3eabfd /main/v4l-utils/APKBUILD
parent9ef45134282b2d7a362f707e4d9fb41aaaed729d (diff)
downloadaports-38154767eff1a3689ee4164004388e9d5f43693a.tar.gz
aports-38154767eff1a3689ee4164004388e9d5f43693a.tar.bz2
aports-38154767eff1a3689ee4164004388e9d5f43693a.tar.xz
main/v4l-utils: upgrade to 1.8.1
fixes #3614
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD18
1 files changed, 7 insertions, 11 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index e17684c427..c66802d062 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=v4l-utils
-pkgver=1.6.3
-pkgrel=1
+pkgver=1.8.1
+pkgrel=0
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
@@ -12,7 +12,6 @@ makedepends="qt-dev libjpeg-turbo-dev argp-standalone linux-headers"
install=""
subpackages="$pkgname-dev $pkgname-doc qv4l2 $pkgname-dvbv5"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
- fix-compliance.patch
qv4l2.svg
qv4l2.desktop
"
@@ -31,7 +30,7 @@ prepare() {
build() {
cd "$_builddir"
[ "$CLIBC" = "musl" ] && export CFLAGS="$CFLAGS -D__off_t=off_t"
- export LDFLAGS="$LDFLAGS -largp"
+ export LIBS="-largp -lintl"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -42,7 +41,7 @@ build() {
--localstatedir=/var \
--disable-static \
--enable-libdvbv5 \
- || return 1
+ || return 1
make || return 1
}
@@ -72,15 +71,12 @@ dvbv5() {
"$subpkgdir"/usr/lib/ || return 1
}
-md5sums="307858616be6374f63bf946307f15a7f v4l-utils-1.6.3.tar.bz2
-53cebe0358ebef84eecea1c97a57bacf fix-compliance.patch
+md5sums="f86d0938e46fde821dc10d4d2f6636e4 v4l-utils-1.8.1.tar.bz2
75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"
-sha256sums="164abf5c1befcd27e8e6ef824a82d4015bdfb5d99ae82daa00e77d895ff9864c v4l-utils-1.6.3.tar.bz2
-8a9ad49b5ea0580aad949fe60dd3e616914d682988b07f0b51499957ef464611 fix-compliance.patch
+sha256sums="2f6219b03f19ea07c100e860238d5cdbfcbcfe440a14477e75137cc073431b33 v4l-utils-1.8.1.tar.bz2
b1dad7c1649881be8e66f4d9d0f32206796dd0a10dd936c342426ec64cf9c77c qv4l2.svg
1c5739631e37a7338409ea8b5c797a6888fd9a595e72d9dc96dd634df26373f3 qv4l2.desktop"
-sha512sums="8fa9f5e0af9c9f111ffbf4d2d599112e98017447623a83c484963ef32c495de195cbd53b4b9e1b2130e9c7ac0b5ab7a35e72e04ea4089db771028485e3c4df69 v4l-utils-1.6.3.tar.bz2
-5f8d656c9614b23a61bb303214a90b24021495716e8101dc7f691b6d8d9c307d85861fbcc9ef732d01c98491eebae70047a340bc518271f29c830fced0201f21 fix-compliance.patch
+sha512sums="2d4aaf9c29dd3d8ba348ffe6e65ec4b8ad02ef0f8416b07b9f54965abbb5be14677058a30e4a6008d63ffe02250bf1acbb5bec78c3ab03228dc9dcee9bc6d4b2 v4l-utils-1.8.1.tar.bz2
bc18280046c15b19984103f7c2bb44a0aea79715803c64f0c64bc932499c09022c956914c3b15ae59499adc09f6fbff5378be45707fe851250f495a26b63d682 qv4l2.svg
6f74aa524b3de420eeb8de788ff3f717020732a3f1f6530caee50e63aae7eddbe5f551ffc50065c9f5d6078c13bace089948ecdcacf01f8b82c1a44960e06315 qv4l2.desktop"